BorderUIResource.MatteBorderUIResource (Java Platform SE 8 )
Keywords: javax.swing.plaf.BorderUIResource.MatteBorderUIResource class
Date: 2026-03-16

javax.swing.plaf

## Class BorderUIResource.MatteBorderUIResource

- java.lang.Object
- - javax.swing.border.AbstractBorder
  - - javax.swing.border.EmptyBorder
    - - javax.swing.border.MatteBorder
      - - javax.swing.plaf.BorderUIResource.MatteBorderUIResource

- All Implemented Interfaces:
    Serializable, Border, UIResource
  Enclosing class:
    BorderUIResource

      public static class BorderUIResource.MatteBorderUIResource
      extends MatteBorder
      implements UIResource

- - ### Field Summary

    - ### Fields inherited from class javax.swing.border.MatteBorder

      `color, tileIcon`

    - ### Fields inherited from class javax.swing.border.EmptyBorder

      `bottom, left, right, top`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MatteBorderUIResource(Icon tileIcon)`
    `MatteBorderUIResource(int top, int left, int bottom, int right, Color color)`
    `MatteBorderUIResource(int top, int left, int bottom, int right, Icon tileIcon)`

  - ### Method Summary

    - ### Methods inherited from class javax.swing.border.MatteBorder

      `getBorderInsets, getBorderInsets, getMatteColor, getTileIcon, isBorderOpaque, paintBorder`

    - ### Methods inherited from class javax.swing.border.AbstractBorder

      `getBaseline, getBaselineResizeBehavior, getBorderInsets, getInteriorRectangle, getInteriorRectangle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MatteBorderUIResource

          public MatteBorderUIResource(int top,
                                       int left,
                                       int bottom,
                                       int right,
                                       Color color)

    - #### MatteBorderUIResource

          public MatteBorderUIResource(int top,
                                       int left,
                                       int bottom,
                                       int right,
                                       Icon tileIcon)

    - #### MatteBorderUIResource

          public MatteBorderUIResource(Icon tileIcon)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.